Package org.gradle.tooling.events.problems

# Interface ProblemSummariesEvent

All Superinterfaces:
  `ProblemEvent`, `ProgressEvent`

@Incubating public interface ProblemSummariesEvent extends ProblemEvent
The event capturing all problems summaries. A summary will be sent for every problem id that exceeds the threshold amount. This also means only events up to the threshold will be sent. The objects contain the problem id that exceeded the threshold and the amount by how much it exceeded it. Before the build finishes this event will be received event if the list is empty.

Since:
  8.12
See Also:
  - `ProblemSummary`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ProblemSummary>`
  `getProblemSummaries()`
  Get problems summaries.

  ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

  `getDescriptor, getDisplayName, getEventTime`

- ## Method Details

  - ### getProblemSummaries

    List<ProblemSummary> getProblemSummaries()
    Get problems summaries. There can be more than one summary for each problem id.
    Since:
      8.12